package Models.ChequeClt;

import java.text.SimpleDateFormat;
import java.util.Date;
import javafx.beans.property.SimpleObjectProperty;
import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;


public class ChequeList {

    private final SimpleObjectProperty<Date> dateCheque;
    private final StringProperty NumeroCheque;
    private final StringProperty BanqueCheque;
    private final StringProperty MontantCheque;

    
    
    /**
     * @param date
     * @param NumeroCheque
     * @param BanqueCheque
     * @param MontantCheque
     */
    public ChequeList(Date date, String NumeroCheque, String BanqueCheque, String MontantCheque ) {
        this.dateCheque = new SimpleObjectProperty(date);
        this.NumeroCheque = new SimpleStringProperty(NumeroCheque);
        this.BanqueCheque = new SimpleStringProperty(BanqueCheque);
        this.MontantCheque = new SimpleStringProperty(MontantCheque);
    }
    
    
    
    /**
     * @return the NumeroCheque
     */
    public String getNumeroCheque() {
        return NumeroCheque.get();
    }

    /**
     * @param NumeroCheque the NumeroCheque to set
     */
    public void setNumeroCheque(String NumeroCheque) {
        this.NumeroCheque.set(NumeroCheque);
    }

    /**
     * @return the NumeroCheque
     */
    public StringProperty NumeroChequeProperty() {
        return NumeroCheque;
    }
    
    
    
    
    
    
    /**
     * @return the BanqueCheque
     */
    public String getBanqueCheque() {
        return BanqueCheque.get();
    }

    /**
     * @param BanqueCheque the BanqueCheque to set
     */
    public void setBanqueCheque(String BanqueCheque) {
        this.BanqueCheque.set(BanqueCheque);
    }

    /**
     * @return the BanqueCheque
     */
    public StringProperty BanqueChequeProperty() {
        return BanqueCheque;
    }
    
    
    
    

    /**
     * @return the MontantCheque
     */
    public String getMontantCheque() {
        return MontantCheque.get();
    }

    /**
     * @param MontantCheque the MontantCheque to set
     */
    public void setMontantCheque(String MontantCheque) {
        this.MontantCheque.set(MontantCheque);
    }

    /**
     * @return the MontantCheque
     */
    public StringProperty MontantChequeProperty() {
        return MontantCheque;
    }

    
    
    
    
    
    /**
     *
     * @return
     */
    public Date getDate() {
        return (Date) dateCheque.get();
    }

    /**
     *
     * @return
     */
    public String getDateAsString() {
        SimpleDateFormat smp = new SimpleDateFormat("dd MMMMM yyyy");
        String strDate = (null == dateCheque || null == dateCheque.get())
                ? "" : smp.format(dateCheque.get());
        
        return strDate;
    }

    /**
     *
     * @param date
     */
    public void setDate(Date date) {
        this.dateCheque.set(date);
    }
}
